MIX_DestroyAudioDecoder(3)

NAME
MIX_DestroyAudioDecoder - Destroy the specified audio decoder.

SYNOPSIS
#include <SDL3_mixer/SDL_mixer.h>

void MIX_DestroyAudioDecoder(MIX_AudioDecoder *audiodecoder);

DESCRIPTION
Destroying a NULL MIX_AudioDecoder is a legal no-op.

FUNCTION PARAMETERS

audiodecoder
    the audio to destroy.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_mixer 3.0.0.